Skip to main content
GET
/
api
/
v1
/
user_feedback
List User Feedback
curl --request GET \
  --url https://api.example.com/api/v1/user_feedback \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rating": 123,
      "message": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "agent_name": "<string>",
      "comment": "<string>",
      "comment_tags": [
        "<string>"
      ]
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

provider_id
string<uuid> | null
limit
integer
default:50
Required range: 1 <= x <= 100
after_cursor
string<uuid> | null

Response

Successful Response

items
UserFeedbackResponse · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false